package com.bocloud.cmp.model.h3c;

public class H3cVolumeModel {
    /**
     * 指定存储池所在的主机 ID。
     * 长整数（long）类型。
     */
    private Long hostId;
    /**
     * 存储池名称。
     * 字符串（String）类型。
     */
    private String spName;
    /**
     * 存储卷名称。
     * 字符串（String）类型。
     */
    private String volName;
    /**
     * 存储卷的最大容量。
     * 长整数（long）类型。
     */
    private Long capacity;
    /**
     * 存储卷的格式：支持raw和qcow2格式。
     * 枚举：raw，qcow2。
     */
    private String format;
    /**
     * 基础镜像文件（绝对路径），可选。
     * 字符串（String）类型。
     */
    private String baseFile;

    public Long getHostId() {
        return hostId;
    }

    public void setHostId(Long hostId) {
        this.hostId = hostId;
    }

    public String getSpName() {
        return spName;
    }

    public void setSpName(String spName) {
        this.spName = spName;
    }

    public String getVolName() {
        return volName;
    }

    public void setVolName(String volName) {
        this.volName = volName;
    }

    public Long getCapacity() {
        return capacity;
    }

    public void setCapacity(Long capacity) {
        this.capacity = capacity;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public String getBaseFile() {
        return baseFile;
    }

    public void setBaseFile(String baseFile) {
        this.baseFile = baseFile;
    }
}